/**
 *******************************************************************************
 * @file    txz_sample_def.h
 * @brief   This file includes header files for sample application.
 * @version V1.0.0.3
 * $Date:: 2017-11-09 15:03:20 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TXZ_SAMPLE_DEF_H
#define __TXZ_SAMPLE_DEF_H

#include "txz_driver_def.h"
#include "txz_hal.h"
#include "txz_cg.h"
#include "txz_gpio.h"
#include "txz_t32a.h"
#include "txz_adc.h"
#include "txz_adc_ch.h"
#include "txz_uart.h"
#include "txz_uart_ex.h"
#ifdef HDMA_MEM_TRANSFER_USE
  #include "txz_hdma.h"
#endif
#ifdef HDMA_TSPI_TRANSFER_USE
  #include "txz_hdma.h"
  #include "txz_tspi.h"
#endif
#ifdef UART_MDMA_TRANSFER_USE
  #include "txz_uart_mdma.h"
  #include "txz_mdma.h"
#endif
#ifdef FUART_TRANSFER_USE
  #include "txz_fuart.h"
#endif
#ifdef FUART_MDMA_TRANSFER_USE
  #include "txz_fuart_mdma.h"
  #include "txz_mdma.h"
#endif
#ifdef CEC_USE
  #include "txz_cec.h"
#endif
#ifdef SMIF_USE
  #include "txz_smif.h"
#endif
#endif  /* __TXZ_SAMPLE_DEF_H */
