/** 
 *******************************************************************************
 * @file    ebif_wapper.c
 * @brief   EBIF wapper.
 * @version V1.0.0.0
 * $Date:: 2017-09-05 17:22:52 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
#ifdef __cplusplus
 extern "C" {
#endif
/*------------------------------------------------------------------------------*/
/*  Includes                                                                    */
/*------------------------------------------------------------------------------*/
#include "ebif_wapper.h"
/**
 *  @addtogroup Wapper
 *  @{
 */

/** 
 *  @defgroup EBIF_wapper EBIF wapper
 *  @{
 */
/*------------------------------------------------------------------------------*/
/*  Macro Definition                                                            */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup EBIF_wapper_define EBIF_wapper Define
 *  @{
 */

/** 
 *  @}
 */ /* End of group EBIF_wapper_define */
/*------------------------------------------------------------------------------*/
/*  Structure Definition                                                        */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup EBIF_wapper_typedef EBIF_wapper Typedef
 *  @{
 */

/** 
 *  @}
 */ /* End of group EBIF_wapper_typedef */


/*------------------------------------------------------------------------------*/
/*  Public Function                                                             */
/*------------------------------------------------------------------------------*/
/** 
 *  @defgroup EBIF_SRAM_Exported_functions EBIF_SRAM Exported Functions
 *  @{
 */

/*--------------------------------------------------*/
/** 
  * @brief  EBIF Init Function.
  * @param  EBIF setting
  * @retval -
  * @note   -
  */
/*--------------------------------------------------*/
void EBIF_init(EBIF_setting_t *ebif_reg)
{

    
    TSB_EXB->MOD = ebif_reg->exbmod_wait | ebif_reg->exbmod_select;
    if(ebif_reg->cs0_reg != EBIF_NULL)
    {
        CS_setting_t *ptr = ebif_reg->cs0_reg;
        
        TSB_EXB->AS0 = ptr->exbas_start_address | ptr->exbas_area;
        
        TSB_EXB->CS0 = ptr->exbcs_csr | ptr->exbcs_wrr 
                        | ptr->exbcs_rdr | ptr->exbcs_alew
                        | ptr->exbcs_wrs | ptr->exbcs_rds
                        | ptr->exbcs_wsel | ptr->exbcs_wait
                        | ptr->exbcs_csiw | ptr->exbcs_csw
                        | ptr->exbcs_csw0;
    }
    if(ebif_reg->cs1_reg != EBIF_NULL)
    {
        CS_setting_t *ptr = ebif_reg->cs1_reg;
        
        TSB_EXB->AS1 = ptr->exbas_start_address | ptr->exbas_area;
        
        TSB_EXB->CS1 = ptr->exbcs_csr | ptr->exbcs_wrr 
                        | ptr->exbcs_rdr | ptr->exbcs_alew
                        | ptr->exbcs_wrs | ptr->exbcs_rds
                        | ptr->exbcs_wsel | ptr->exbcs_wait
                        | ptr->exbcs_csiw | ptr->exbcs_csw
                        | ptr->exbcs_csw0;
    }
    if(ebif_reg->cs2_reg != EBIF_NULL)
    {
        CS_setting_t *ptr = ebif_reg->cs2_reg;
        
        TSB_EXB->AS2 = ptr->exbas_start_address | ptr->exbas_area;
        
        TSB_EXB->CS2 = ptr->exbcs_csr | ptr->exbcs_wrr 
                        | ptr->exbcs_rdr | ptr->exbcs_alew
                        | ptr->exbcs_wrs | ptr->exbcs_rds
                        | ptr->exbcs_wsel | ptr->exbcs_wait
                        | ptr->exbcs_csiw | ptr->exbcs_csw
                        | ptr->exbcs_csw0;
    }
}



/**
 *  @}
 */ /* End of group EBIF_wapper_Exported_functions */


/**
 *  @} 
 */ /* End of group EBIF_wapper */

/**
 *  @} 
 */ /* End of group Wapper */

#ifdef __cplusplus
}
#endif /* __cplusplus */
